org.apache.maven.lifecycle

## Interface LifecycleExecutor

- All Known Implementing Classes:
    DefaultLifecycleExecutor

      public interface LifecycleExecutor

  Version:
    $Id: LifecycleExecutor.java 679206 2008-07-23 21:52:34Z jdcasey $
  Author:
    Jason van Zyl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ROLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(MavenSession session, ReactorManager rm, EventDispatcher dispatcher)`
    `java.util.List` | `getLifecycles()`

- - ### Field Detail

    - #### ROLE

          static final java.lang.String ROLE

  - ### Method Detail

    - #### execute

          void execute(MavenSession session,
                     ReactorManager rm,
                     EventDispatcher dispatcher)
                       throws LifecycleExecutionException,
                              BuildFailureException

      Throws:
        `LifecycleExecutionException`
        `BuildFailureException`

    - #### getLifecycles

          java.util.List getLifecycles()

      Since:
        2.0.10